Subject: Re: Inclusion of translated git manpages into the packaging systems

From: Jean-Noël AVILA <[email-masked]>
Date: Mon, 10 Jun 2019 21:02:17 +0200

On Monday, 10 June 2019 19:09:54 CEST Johannes Schindelin wrote:
> Hi Jean-Noël,
> 
> On Sun, 9 Jun 2019, Jean-Noël AVILA wrote:
> 
> > I took on the task of creating a project for the translation of man-pages 
at
> > https://github.com/jnavila/git-manpages-l10n
> >
> > Up to now, the translations have started for 3 languages:
> >
> > * German (2 pages)
> > * Brazilian Portuguese (6 pages)
> > * French (11pages)
> 
> Nice!!!
> 
> > In order to provide feedback to translators, it's time to have these
> > pages included with the distributions of git. Right now the process of
> > compilation of the man-pages is still a bit off-tree, because it relies
> > on a recent version of po4a (v0.56) which has not yet reached most
> > distros.
> 
> Maybe there is a way to skip the Makefile task when a too-old po4a is
> detected, with a warning?

The project is provided with a script that downloads the correct version of 
po4a from the root repo (this is needed for ci).

I can provide an archive comprising the precompiled manpages so that packagers 
don't need to mess up with po4a.

> 
> > I miss expertise in the process of packaging. Depending on the type of
> > distribution, the route to packaging might differ (for Mac OS and
> > Windows, maybe a direct inclusion, for Linux dists sister packages).
> > That's why I need your help to correctly perform this integration.
> 
> Historically, Git for Windows punts on translations, excluding any
> non-en-US documentation (to save on bandwidth for the installer, which did
> grow from <30MB to 44MB in the last four years alone).

It might not be the correct argument for now, but a tgz of the manpages 
presently weights 230kB.

> 
> There were a couple of motions to change that (maybe in the form of add-on
> packages/installers, maybe in the form of a "full" installer), but nothing
> came of it so far.

If there's any chance to get this move alive, who should I refer to? 
Otherwise, where can an additional package be built?

> 
> Therefore, as far as Windows is concerned, I hate to admit that my answer
> is "don't worry for now, we only include US-English documentation
> anyway"... :-(
> 
> Ciao,
> Dscho